package com.tzld.piaoquan.tencentad.service.impl;

import com.tzld.piaoquan.tencentad.component.HttpPoolClient;
import com.tzld.piaoquan.tencentad.service.AdAccountService;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Slf4j
@Service
public class AdAccountServiceImpl implements AdAccountService {

    @Autowired
    private HttpPoolClient httpPoolClient;

    @Override
    public String getAccessToken(String accountId) {

        String url = String.format("https://api.piaoquantv.com/ad/put/tencent/getAccessToken?accountId=%s", accountId);
        try {
            String accessToken = httpPoolClient.get(url);
            if (StringUtils.isNotEmpty(accessToken)) {
                return accessToken;
            }
        } catch (Exception e) {
            log.error("getAccessToken error", e);
        }
        return null;
    }
}
